<template>
  <a-box-l
    data-cid="{ BhAttachmentUi }"
    class="reset pl-3 py-3 pr-4 text-sm leading-5"
  >
    <a-cluster-ui
      :style="{
        '--a-cluster-ui--justify': 'flex-between',
        '--a-cluster-ui--space': $theme.margin['4'],
      }"
    >
      <div class="flex-1 w-0">
        <a-cluster-ui :style="{ '--a-cluster-ui--space': $theme.margin['2'] }">
          <paper-clip class="flex-shrink-0 h-5 w-5 text-gray-400" />
          <span class="flex-1 w-0 truncate">
            {{ attachment.url }}
          </span>
        </a-cluster-ui>
      </div>
      <div class="flex-shrink-0">
        <a
          :href="attachment.url"
          target="_blank"
          rel="nofollow noopener"
          class="[ font-medium ][ text-indigo-600 hover:text-indigo-500 ][ transition duration-150 ease-in-out ]"
        >
          Obrir
        </a>
      </div>
    </a-cluster-ui>
  </a-box-l>
</template>

<script>
import PaperClip from '@/assets/icons/paper-clip.svg?inline';

export default {
  name: 'BhAttachmentUi',
  components: {
    PaperClip,
  },
  props: {
    attachment: {
      type: Object,
      default: () => ({}),
    },
  },
};
</script>
